import request from '@/utils/request'

// 查询体检报告模板列表
export function listFSPhysicalReportTemplate(query) {
  return request({
    url: '/his/physicalReportTemplate/list',
    method: 'get',
    params: query
  })
}

// 查询体检报告模板详细
export function getFSPhysicalReportTemplate(id) {
  return request({
    url: '/his/physicalReportTemplate/' + id,
    method: 'get'
  })
}

// 新增体检报告模板
export function addFSPhysicalReportTemplate(data) {
  return request({
    url: '/his/physicalReportTemplate',
    method: 'post',
    data: data
  })
}

// 修改体检报告模板
export function updateFSPhysicalReportTemplate(data) {
  return request({
    url: '/his/physicalReportTemplate',
    method: 'put',
    data: data
  })
}

// 删除体检报告模板
export function delFSPhysicalReportTemplate(id) {
  return request({
    url: '/his/physicalReportTemplate/' + id,
    method: 'delete'
  })
}

// 导出体检报告模板
export function exportFSPhysicalReportTemplate(query) {
  return request({
    url: '/his/physicalReportTemplate/export',
    method: 'get',
    params: query
  })
}
